$(() => {
const dataGrid = $('#gridContainer').dxDataGrid({
dataSource: customers,
keyExpr: 'ID',
allowColumnReordering: true,
showBorders: true,
grouping: {
autoExpandAll: true,
},
searchPanel: {
visible: true,
},
paging: {
pageSize: 10,
},
groupPanel: {
visible: true,
},
columns: [
'CompanyName',
'Phone',
'Fax',
'City',
{
dataField: 'State',
groupIndex: 0,
},
],
}).dxDataGrid('instance');
$('#autoExpand').dxCheckBox({
value: true,
text: 'Expand All Groups',
onValueChanged(data) {
dataGrid.option('grouping.autoExpandAll', data.value);
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/22.2.3/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="gridContainer"></div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<div id="autoExpand"></div>
</div>
</div>
</div>
</body>
</html>
.options {
padding: 20px;
margin-top: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
const customers = [{
ID: 1,
CompanyName: 'Super Mart of the West',
Address: '702 SW 8th Street',
City: 'Bentonville',
State: 'Arkansas',
Zipcode: 72716,
Phone: '(800) 555-2797',
Fax: '(800) 555-2171',
Website: 'http://www.nowebsitesupermart.com',
}, {
ID: 2,
CompanyName: 'K&S Music',
Address: '1000 Nicllet Mall',
City: 'Minneapolis',
State: 'Minnesota',
Zipcode: 55403,
Phone: '(612) 304-6073',
Fax: '(612) 304-6074',
Website: 'http://www.nowebsitemusic.com',
}, {
ID: 3,
CompanyName: "Tom's Club",
Address: '999 Lake Drive',
City: 'Issaquah',
State: 'Washington',
Zipcode: 98027,
Phone: '(800) 955-2292',
Fax: '(800) 955-2293',
Website: 'http://www.nowebsitetomsclub.com',
}, {
ID: 4,
CompanyName: 'E-Mart',
Address: '3333 Beverly Rd',
City: 'Hoffman Estates',
State: 'Illinois',
Zipcode: 60179,
Phone: '(847) 286-2500',
Fax: '(847) 286-2501',
Website: 'http://www.nowebsiteemart.com',
}, {
ID: 5,
CompanyName: 'Walters',
Address: '200 Wilmot Rd',
City: 'Deerfield',
State: 'Illinois',
Zipcode: 60015,
Phone: '(847) 940-2500',
Fax: '(847) 940-2501',
Website: 'http://www.nowebsitewalters.com',
}, {
ID: 6,
CompanyName: 'StereoShack',
Address: '400 Commerce S',
City: 'Fort Worth',
State: 'Texas',
Zipcode: 76102,
Phone: '(817) 820-0741',
Fax: '(817) 820-0742',
Website: 'http://www.nowebsiteshack.com',
}, {
ID: 7,
CompanyName: 'Circuit Town',
Address: '2200 Kensington Court',
City: 'Oak Brook',
State: 'Illinois',
Zipcode: 60523,
Phone: '(800) 955-2929',
Fax: '(800) 955-9392',
Website: 'http://www.nowebsitecircuittown.com',
}, {
ID: 8,
CompanyName: 'Premier Buy',
Address: '7601 Penn Avenue South',
City: 'Richfield',
State: 'Minnesota',
Zipcode: 55423,
Phone: '(612) 291-1000',
Fax: '(612) 291-2001',
Website: 'http://www.nowebsitepremierbuy.com',
}, {
ID: 9,
CompanyName: 'ElectrixMax',
Address: '263 Shuman Blvd',
City: 'Naperville',
State: 'Illinois',
Zipcode: 60563,
Phone: '(630) 438-7800',
Fax: '(630) 438-7801',
Website: 'http://www.nowebsiteelectrixmax.com',
}, {
ID: 10,
CompanyName: 'Video Emporium',
Address: '1201 Elm Street',
City: 'Dallas',
State: 'Texas',
Zipcode: 75270,
Phone: '(214) 854-3000',
Fax: '(214) 854-3001',
Website: 'http://www.nowebsitevideoemporium.com',
}, {
ID: 11,
CompanyName: 'Screen Shop',
Address: '1000 Lowes Blvd',
City: 'Mooresville',
State: 'North Carolina',
Zipcode: 28117,
Phone: '(800) 445-6937',
Fax: '(800) 445-6938',
Website: 'http://www.nowebsitescreenshop.com',
}, {
ID: 12,
CompanyName: 'Braeburn',
Address: '1 Infinite Loop',
City: 'Cupertino',
State: 'California',
Zipcode: 95014,
Phone: '(408) 996-1010',
Fax: '(408) 996-1012',
Website: 'http://www.nowebsitebraeburn.com',
}, {
ID: 13,
CompanyName: 'PriceCo',
Address: '30 Hunter Lane',
City: 'Camp Hill',
State: 'Pennsylvania',
Zipcode: 17011,
Phone: '(717) 761-2633',
Fax: '(717) 761-2334',
Website: 'http://www.nowebsitepriceco.com',
}, {
ID: 14,
CompanyName: 'Ultimate Gadget',
Address: '1557 Watson Blvd',
City: 'Warner Robbins',
State: 'Georgia',
Zipcode: 31093,
Phone: '(995) 623-6785',
Fax: '(995) 623-6786',
Website: 'http://www.nowebsiteultimategadget.com',
}, {
ID: 15,
CompanyName: 'Electronics Depot',
Address: '2455 Paces Ferry Road NW',
City: 'Atlanta',
State: 'Georgia',
Zipcode: 30339,
Phone: '(800) 595-3232',
Fax: '(800) 595-3231',
Website: 'http://www.nowebsitedepot.com',
}, {
ID: 16,
CompanyName: 'EZ Stop',
Address: '618 Michillinda Ave.',
City: 'Arcadia',
State: 'California',
Zipcode: 91007,
Phone: '(626) 265-8632',
Fax: '(626) 265-8633',
Website: 'http://www.nowebsiteezstop.com',
}, {
ID: 17,
CompanyName: 'Clicker',
Address: '1100 W. Artesia Blvd.',
City: 'Compton',
State: 'California',
Zipcode: 90220,
Phone: '(310) 884-9000',
Fax: '(310) 884-9001',
Website: 'http://www.nowebsiteclicker.com',
}, {
ID: 18,
CompanyName: 'Store of America',
Address: '2401 Utah Ave. South',
City: 'Seattle',
State: 'Washington',
Zipcode: 98134,
Phone: '(206) 447-1575',
Fax: '(206) 447-1576',
Website: 'http://www.nowebsiteamerica.com',
}, {
ID: 19,
CompanyName: 'Zone Toys',
Address: '1945 S Cienega Boulevard',
City: 'Los Angeles',
State: 'California',
Zipcode: 90034,
Phone: '(310) 237-5642',
Fax: '(310) 237-5643',
Website: 'http://www.nowebsitezonetoys.com',
}, {
ID: 20,
CompanyName: 'ACME',
Address: '2525 E El Segundo Blvd',
City: 'El Segundo',
State: 'California',
Zipcode: 90245,
Phone: '(310) 536-0611',
Fax: '(310) 536-0612',
Website: 'http://www.nowebsiteacme.com',
}];

<dx-data-grid
id="gridContainer"
[dataSource]="customers"
keyExpr="ID"
[allowColumnReordering]="true"
[showBorders]="true"
>
<dxi-column dataField="CompanyName"></dxi-column>
<dxi-column dataField="Phone"></dxi-column>
<dxi-column dataField="Fax"></dxi-column>
<dxi-column dataField="City"></dxi-column>
<dxi-column dataField="State" [groupIndex]="0"></dxi-column>
<dxo-search-panel [visible]="true"></dxo-search-panel>
<dxo-paging [pageSize]="10"></dxo-paging>
<dxo-group-panel [visible]="true"></dxo-group-panel>
<dxo-grouping #expand [autoExpandAll]="true"></dxo-grouping>
</dx-data-grid>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<dx-check-box
id="autoExpand"
[(value)]="expand.autoExpandAll"
text="Expand All Groups"
>
</dx-check-box>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxDataGridModule, DxCheckBoxModule } from 'devextreme-angular';
import { Service, Customer } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
})
export class AppComponent {
customers: Customer[];
constructor(service: Service) {
this.customers = service.getCustomers();
}
}
@NgModule({
imports: [
BrowserModule,
DxDataGridModule,
DxCheckBoxModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .options {
padding: 20px;
margin-top: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
::ng-deep .caption {
font-size: 18px;
font-weight: 500;
}
::ng-deep .option {
margin-top: 10px;
}
import { Injectable } from '@angular/core';
export class Customer {
ID: number;
CompanyName: string;
Address: string;
City: string;
State: string;
Zipcode: number;
Phone: string;
Fax: string;
Website: string;
}
const сustomers: Customer[] = [{
ID: 1,
CompanyName: 'Super Mart of the West',
Address: '702 SW 8th Street',
City: 'Bentonville',
State: 'Arkansas',
Zipcode: 72716,
Phone: '(800) 555-2797',
Fax: '(800) 555-2171',
Website: 'http://www.nowebsitesupermart.com',
}, {
ID: 2,
CompanyName: 'K&S Music',
Address: '1000 Nicllet Mall',
City: 'Minneapolis',
State: 'Minnesota',
Zipcode: 55403,
Phone: '(612) 304-6073',
Fax: '(612) 304-6074',
Website: 'http://www.nowebsitemusic.com',
}, {
ID: 3,
CompanyName: "Tom's Club",
Address: '999 Lake Drive',
City: 'Issaquah',
State: 'Washington',
Zipcode: 98027,
Phone: '(800) 955-2292',
Fax: '(800) 955-2293',
Website: 'http://www.nowebsitetomsclub.com',
}, {
ID: 4,
CompanyName: 'E-Mart',
Address: '3333 Beverly Rd',
City: 'Hoffman Estates',
State: 'Illinois',
Zipcode: 60179,
Phone: '(847) 286-2500',
Fax: '(847) 286-2501',
Website: 'http://www.nowebsiteemart.com',
}, {
ID: 5,
CompanyName: 'Walters',
Address: '200 Wilmot Rd',
City: 'Deerfield',
State: 'Illinois',
Zipcode: 60015,
Phone: '(847) 940-2500',
Fax: '(847) 940-2501',
Website: 'http://www.nowebsitewalters.com',
}, {
ID: 6,
CompanyName: 'StereoShack',
Address: '400 Commerce S',
City: 'Fort Worth',
State: 'Texas',
Zipcode: 76102,
Phone: '(817) 820-0741',
Fax: '(817) 820-0742',
Website: 'http://www.nowebsiteshack.com',
}, {
ID: 7,
CompanyName: 'Circuit Town',
Address: '2200 Kensington Court',
City: 'Oak Brook',
State: 'Illinois',
Zipcode: 60523,
Phone: '(800) 955-2929',
Fax: '(800) 955-9392',
Website: 'http://www.nowebsitecircuittown.com',
}, {
ID: 8,
CompanyName: 'Premier Buy',
Address: '7601 Penn Avenue South',
City: 'Richfield',
State: 'Minnesota',
Zipcode: 55423,
Phone: '(612) 291-1000',
Fax: '(612) 291-2001',
Website: 'http://www.nowebsitepremierbuy.com',
}, {
ID: 9,
CompanyName: 'ElectrixMax',
Address: '263 Shuman Blvd',
City: 'Naperville',
State: 'Illinois',
Zipcode: 60563,
Phone: '(630) 438-7800',
Fax: '(630) 438-7801',
Website: 'http://www.nowebsiteelectrixmax.com',
}, {
ID: 10,
CompanyName: 'Video Emporium',
Address: '1201 Elm Street',
City: 'Dallas',
State: 'Texas',
Zipcode: 75270,
Phone: '(214) 854-3000',
Fax: '(214) 854-3001',
Website: 'http://www.nowebsitevideoemporium.com',
}, {
ID: 11,
CompanyName: 'Screen Shop',
Address: '1000 Lowes Blvd',
City: 'Mooresville',
State: 'North Carolina',
Zipcode: 28117,
Phone: '(800) 445-6937',
Fax: '(800) 445-6938',
Website: 'http://www.nowebsitescreenshop.com',
}, {
ID: 12,
CompanyName: 'Braeburn',
Address: '1 Infinite Loop',
City: 'Cupertino',
State: 'California',
Zipcode: 95014,
Phone: '(408) 996-1010',
Fax: '(408) 996-1012',
Website: 'http://www.nowebsitebraeburn.com',
}, {
ID: 13,
CompanyName: 'PriceCo',
Address: '30 Hunter Lane',
City: 'Camp Hill',
State: 'Pennsylvania',
Zipcode: 17011,
Phone: '(717) 761-2633',
Fax: '(717) 761-2334',
Website: 'http://www.nowebsitepriceco.com',
}, {
ID: 14,
CompanyName: 'Ultimate Gadget',
Address: '1557 Watson Blvd',
City: 'Warner Robbins',
State: 'Georgia',
Zipcode: 31093,
Phone: '(995) 623-6785',
Fax: '(995) 623-6786',
Website: 'http://www.nowebsiteultimategadget.com',
}, {
ID: 15,
CompanyName: 'Electronics Depot',
Address: '2455 Paces Ferry Road NW',
City: 'Atlanta',
State: 'Georgia',
Zipcode: 30339,
Phone: '(800) 595-3232',
Fax: '(800) 595-3231',
Website: 'http://www.nowebsitedepot.com',
}, {
ID: 16,
CompanyName: 'EZ Stop',
Address: '618 Michillinda Ave.',
City: 'Arcadia',
State: 'California',
Zipcode: 91007,
Phone: '(626) 265-8632',
Fax: '(626) 265-8633',
Website: 'http://www.nowebsiteezstop.com',
}, {
ID: 17,
CompanyName: 'Clicker',
Address: '1100 W. Artesia Blvd.',
City: 'Compton',
State: 'California',
Zipcode: 90220,
Phone: '(310) 884-9000',
Fax: '(310) 884-9001',
Website: 'http://www.nowebsiteclicker.com',
}, {
ID: 18,
CompanyName: 'Store of America',
Address: '2401 Utah Ave. South',
City: 'Seattle',
State: 'Washington',
Zipcode: 98134,
Phone: '(206) 447-1575',
Fax: '(206) 447-1576',
Website: 'http://www.nowebsiteamerica.com',
}, {
ID: 19,
CompanyName: 'Zone Toys',
Address: '1945 S Cienega Boulevard',
City: 'Los Angeles',
State: 'California',
Zipcode: 90034,
Phone: '(310) 237-5642',
Fax: '(310) 237-5643',
Website: 'http://www.nowebsitezonetoys.com',
}, {
ID: 20,
CompanyName: 'ACME',
Address: '2525 E El Segundo Blvd',
City: 'El Segundo',
State: 'California',
Zipcode: 90245,
Phone: '(310) 536-0611',
Fax: '(310) 536-0612',
Website: 'http://www.nowebsiteacme.com',
}];
@Injectable()
export class Service {
getCustomers() {
return сustomers;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.2.3/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37',
'devextreme-angular': 'npm:devextreme-angular@22.2.3',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.2.3/*/package.json',
'npm:devextreme-angular@22.2.3/ui/*/package.json',
'npm:devextreme-angular@22.2.3/package.json',
'npm:devexpress-diagram@2.1.65/package.json',
'npm:devexpress-gantt@4.1.37/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import DataGrid, {
Column,
Grouping,
GroupPanel,
Paging,
SearchPanel,
} from 'devextreme-react/data-grid';
import CheckBox from 'devextreme-react/check-box';
import { customers } from './data.js';
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
autoExpandAll: true,
};
this.onAutoExpandAllChanged = this.onAutoExpandAllChanged.bind(this);
}
render() {
return (
<div>
<DataGrid
dataSource={customers}
keyExpr="ID"
allowColumnReordering={true}
showBorders={true}
>
<GroupPanel visible={true} />
<SearchPanel visible={true} />
<Grouping autoExpandAll={this.state.autoExpandAll} />
<Paging defaultPageSize={10} />
<Column dataField="CompanyName" dataType="string" />
<Column dataField="Phone" dataType="string" />
<Column dataField="Fax" dataType="string" />
<Column dataField="City" dataType="string" />
<Column dataField="State" dataType="string" groupIndex={0} />
</DataGrid>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<CheckBox text="Expand All Groups"
id="autoExpand"
value={this.state.autoExpandAll}
onValueChanged={this.onAutoExpandAllChanged} />
</div>
</div>
</div>
);
}
onAutoExpandAllChanged() {
this.setState({
autoExpandAll: !this.state.autoExpandAll,
});
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.options {
padding: 20px;
margin-top: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
export const customers = [{
ID: 1,
CompanyName: 'Premier Buy',
Address: '7601 Penn Avenue South',
City: 'Richfield',
State: 'Minnesota',
Zipcode: 55423,
Phone: '(612) 291-1000',
Fax: '(612) 291-2001',
Website: 'http =//www.nowebsitepremierbuy.com',
}, {
ID: 2,
CompanyName: 'ElectrixMax',
Address: '263 Shuman Blvd',
City: 'Naperville',
State: 'Illinois',
Zipcode: 60563,
Phone: '(630) 438-7800',
Fax: '(630) 438-7801',
Website: 'http =//www.nowebsiteelectrixmax.com',
}, {
ID: 3,
CompanyName: 'Video Emporium',
Address: '1201 Elm Street',
City: 'Dallas',
State: 'Texas',
Zipcode: 75270,
Phone: '(214) 854-3000',
Fax: '(214) 854-3001',
Website: 'http =//www.nowebsitevideoemporium.com',
}, {
ID: 4,
CompanyName: 'Screen Shop',
Address: '1000 Lowes Blvd',
City: 'Mooresville',
State: 'North Carolina',
Zipcode: 28117,
Phone: '(800) 445-6937',
Fax: '(800) 445-6938',
Website: 'http =//www.nowebsitescreenshop.com',
}, {
ID: 5,
CompanyName: 'Braeburn',
Address: '1 Infinite Loop',
City: 'Cupertino',
State: 'California',
Zipcode: 95014,
Phone: '(408) 996-1010',
Fax: '(408) 996-1012',
Website: 'http =//www.nowebsitebraeburn.com',
}, {
ID: 6,
CompanyName: 'PriceCo',
Address: '30 Hunter Lane',
City: 'Camp Hill',
State: 'Pennsylvania',
Zipcode: 17011,
Phone: '(717) 761-2633',
Fax: '(717) 761-2334',
Website: 'http =//www.nowebsitepriceco.com',
}, {
ID: 7,
CompanyName: 'Ultimate Gadget',
Address: '1557 Watson Blvd',
City: 'Warner Robbins',
State: 'Georgia',
Zipcode: 31093,
Phone: '(995) 623-6785',
Fax: '(995) 623-6786',
Website: 'http =//www.nowebsiteultimategadget.com',
}, {
ID: 8,
CompanyName: 'EZ Stop',
Address: '618 Michillinda Ave.',
City: 'Arcadia',
State: 'California',
Zipcode: 91007,
Phone: '(626) 265-8632',
Fax: '(626) 265-8633',
Website: 'http =//www.nowebsiteezstop.com',
}, {
ID: 9,
CompanyName: 'Clicker',
Address: '1100 W. Artesia Blvd.',
City: 'Compton',
State: 'California',
Zipcode: 90220,
Phone: '(310) 884-9000',
Fax: '(310) 884-9001',
Website: 'http =//www.nowebsiteclicker.com',
}, {
ID: 10,
CompanyName: 'Store of America',
Address: '2401 Utah Ave. South',
City: 'Seattle',
State: 'Washington',
Zipcode: 98134,
Phone: '(206) 447-1575',
Fax: '(206) 447-1576',
Website: 'http =//www.nowebsiteamerica.com',
}, {
ID: 11,
CompanyName: 'Zone Toys',
Address: '1945 S Cienega Boulevard',
City: 'Los Angeles',
State: 'California',
Zipcode: 90034,
Phone: '(310) 237-5642',
Fax: '(310) 237-5643',
Website: 'http =//www.nowebsitezonetoys.com',
}, {
ID: 12,
CompanyName: 'ACME',
Address: '2525 E El Segundo Blvd',
City: 'El Segundo',
State: 'California',
Zipcode: 90245,
Phone: '(310) 536-0611',
Fax: '(310) 536-0612',
Website: 'http =//www.nowebsiteacme.com',
}, {
ID: 13,
CompanyName: 'Super Mart of the West',
Address: '702 SW 8th Street',
City: 'Bentonville',
State: 'Arkansas',
Zipcode: 72716,
Phone: '(800) 555-2797',
Fax: '(800) 555-2171',
Website: 'http://www.nowebsitesupermart.com',
}, {
ID: 14,
CompanyName: 'Electronics Depot',
Address: '2455 Paces Ferry Road NW',
City: 'Atlanta',
State: 'Georgia',
Zipcode: 30339,
Phone: '(800) 595-3232',
Fax: '(800) 595-3231',
Website: 'http =//www.nowebsitedepot.com',
}, {
ID: 15,
CompanyName: 'K&S Music',
Address: '1000 Nicllet Mall',
City: 'Minneapolis',
State: 'Minnesota',
Zipcode: 55403,
Phone: '(612) 304-6073',
Fax: '(612) 304-6074',
Website: 'http =//www.nowebsitemusic.com',
}, {
ID: 16,
CompanyName: "Tom's Club",
Address: '999 Lake Drive',
City: 'Issaquah',
State: 'Washington',
Zipcode: 98027,
Phone: '(800) 955-2292',
Fax: '(800) 955-2293',
Website: 'http =//www.nowebsitetomsclub.com',
}, {
ID: 17,
CompanyName: 'E-Mart',
Address: '3333 Beverly Rd',
City: 'Hoffman Estates',
State: 'Illinois',
Zipcode: 60179,
Phone: '(847) 286-2500',
Fax: '(847) 286-2501',
Website: 'http =//www.nowebsiteemart.com',
}, {
ID: 18,
CompanyName: 'Walters',
Address: '200 Wilmot Rd',
City: 'Deerfield',
State: 'Illinois',
Zipcode: 60015,
Phone: '(847) 940-2500',
Fax: '(847) 940-2501',
Website: 'http =//www.nowebsitewalters.com',
}, {
ID: 19,
CompanyName: 'StereoShack',
Address: '400 Commerce S',
City: 'Fort Worth',
State: 'Texas',
Zipcode: 76102,
Phone: '(817) 820-0741',
Fax: '(817) 820-0742',
Website: 'http =//www.nowebsiteshack.com',
}, {
ID: 20,
CompanyName: 'Circuit Town',
Address: '2200 Kensington Court',
City: 'Oak Brook',
State: 'Illinois',
Zipcode: 60523,
Phone: '(800) 955-2929',
Fax: '(800) 955-9392',
Website: 'http =//www.nowebsitecircuittown.com',
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.18/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<template>
<div>
<DxDataGrid
:allow-column-reordering="true"
:data-source="customers"
key-expr="ID"
:show-borders="true"
>
<DxColumn data-field="CompanyName"/>
<DxColumn data-field="Phone"/>
<DxColumn data-field="Fax"/>
<DxColumn data-field="City"/>
<DxColumn
:group-index="0"
data-field="State"
/>
<DxGroupPanel :visible="true"/>
<DxGrouping :auto-expand-all="autoExpandAll"/>
<DxPaging :page-size="10"/>
<DxSearchPanel :visible="true"/>
</DxDataGrid>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<DxCheckBox
id="autoExpand"
v-model:value="autoExpandAll"
text="Expand All Groups"
/>
</div>
</div>
</div>
</template>
<script>
import DxCheckBox from 'devextreme-vue/check-box';
import {
DxDataGrid,
DxColumn,
DxGrouping,
DxGroupPanel,
DxSearchPanel,
DxPaging,
} from 'devextreme-vue/data-grid';
import { customers } from './data.js';
export default {
components: {
DxCheckBox,
DxColumn,
DxGroupPanel,
DxGrouping,
DxPaging,
DxSearchPanel,
DxDataGrid,
},
data() {
return {
autoExpandAll: true,
customers,
};
},
};
</script>
<style scoped>
.options {
padding: 20px;
margin-top: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const customers = [{
ID: 1,
CompanyName: 'Premier Buy',
Address: '7601 Penn Avenue South',
City: 'Richfield',
State: 'Minnesota',
Zipcode: 55423,
Phone: '(612) 291-1000',
Fax: '(612) 291-2001',
Website: 'http =//www.nowebsitepremierbuy.com',
}, {
ID: 2,
CompanyName: 'ElectrixMax',
Address: '263 Shuman Blvd',
City: 'Naperville',
State: 'Illinois',
Zipcode: 60563,
Phone: '(630) 438-7800',
Fax: '(630) 438-7801',
Website: 'http =//www.nowebsiteelectrixmax.com',
}, {
ID: 3,
CompanyName: 'Video Emporium',
Address: '1201 Elm Street',
City: 'Dallas',
State: 'Texas',
Zipcode: 75270,
Phone: '(214) 854-3000',
Fax: '(214) 854-3001',
Website: 'http =//www.nowebsitevideoemporium.com',
}, {
ID: 4,
CompanyName: 'Screen Shop',
Address: '1000 Lowes Blvd',
City: 'Mooresville',
State: 'North Carolina',
Zipcode: 28117,
Phone: '(800) 445-6937',
Fax: '(800) 445-6938',
Website: 'http =//www.nowebsitescreenshop.com',
}, {
ID: 5,
CompanyName: 'Braeburn',
Address: '1 Infinite Loop',
City: 'Cupertino',
State: 'California',
Zipcode: 95014,
Phone: '(408) 996-1010',
Fax: '(408) 996-1012',
Website: 'http =//www.nowebsitebraeburn.com',
}, {
ID: 6,
CompanyName: 'PriceCo',
Address: '30 Hunter Lane',
City: 'Camp Hill',
State: 'Pennsylvania',
Zipcode: 17011,
Phone: '(717) 761-2633',
Fax: '(717) 761-2334',
Website: 'http =//www.nowebsitepriceco.com',
}, {
ID: 7,
CompanyName: 'Ultimate Gadget',
Address: '1557 Watson Blvd',
City: 'Warner Robbins',
State: 'Georgia',
Zipcode: 31093,
Phone: '(995) 623-6785',
Fax: '(995) 623-6786',
Website: 'http =//www.nowebsiteultimategadget.com',
}, {
ID: 8,
CompanyName: 'EZ Stop',
Address: '618 Michillinda Ave.',
City: 'Arcadia',
State: 'California',
Zipcode: 91007,
Phone: '(626) 265-8632',
Fax: '(626) 265-8633',
Website: 'http =//www.nowebsiteezstop.com',
}, {
ID: 9,
CompanyName: 'Clicker',
Address: '1100 W. Artesia Blvd.',
City: 'Compton',
State: 'California',
Zipcode: 90220,
Phone: '(310) 884-9000',
Fax: '(310) 884-9001',
Website: 'http =//www.nowebsiteclicker.com',
}, {
ID: 10,
CompanyName: 'Store of America',
Address: '2401 Utah Ave. South',
City: 'Seattle',
State: 'Washington',
Zipcode: 98134,
Phone: '(206) 447-1575',
Fax: '(206) 447-1576',
Website: 'http =//www.nowebsiteamerica.com',
}, {
ID: 11,
CompanyName: 'Zone Toys',
Address: '1945 S Cienega Boulevard',
City: 'Los Angeles',
State: 'California',
Zipcode: 90034,
Phone: '(310) 237-5642',
Fax: '(310) 237-5643',
Website: 'http =//www.nowebsitezonetoys.com',
}, {
ID: 12,
CompanyName: 'ACME',
Address: '2525 E El Segundo Blvd',
City: 'El Segundo',
State: 'California',
Zipcode: 90245,
Phone: '(310) 536-0611',
Fax: '(310) 536-0612',
Website: 'http =//www.nowebsiteacme.com',
}, {
ID: 13,
CompanyName: 'Super Mart of the West',
Address: '702 SW 8th Street',
City: 'Bentonville',
State: 'Arkansas',
Zipcode: 72716,
Phone: '(800) 555-2797',
Fax: '(800) 555-2171',
Website: 'http://www.nowebsitesupermart.com',
}, {
ID: 14,
CompanyName: 'Electronics Depot',
Address: '2455 Paces Ferry Road NW',
City: 'Atlanta',
State: 'Georgia',
Zipcode: 30339,
Phone: '(800) 595-3232',
Fax: '(800) 595-3231',
Website: 'http =//www.nowebsitedepot.com',
}, {
ID: 15,
CompanyName: 'K&S Music',
Address: '1000 Nicllet Mall',
City: 'Minneapolis',
State: 'Minnesota',
Zipcode: 55403,
Phone: '(612) 304-6073',
Fax: '(612) 304-6074',
Website: 'http =//www.nowebsitemusic.com',
}, {
ID: 16,
CompanyName: "Tom's Club",
Address: '999 Lake Drive',
City: 'Issaquah',
State: 'Washington',
Zipcode: 98027,
Phone: '(800) 955-2292',
Fax: '(800) 955-2293',
Website: 'http =//www.nowebsitetomsclub.com',
}, {
ID: 17,
CompanyName: 'E-Mart',
Address: '3333 Beverly Rd',
City: 'Hoffman Estates',
State: 'Illinois',
Zipcode: 60179,
Phone: '(847) 286-2500',
Fax: '(847) 286-2501',
Website: 'http =//www.nowebsiteemart.com',
}, {
ID: 18,
CompanyName: 'Walters',
Address: '200 Wilmot Rd',
City: 'Deerfield',
State: 'Illinois',
Zipcode: 60015,
Phone: '(847) 940-2500',
Fax: '(847) 940-2501',
Website: 'http =//www.nowebsitewalters.com',
}, {
ID: 19,
CompanyName: 'StereoShack',
Address: '400 Commerce S',
City: 'Fort Worth',
State: 'Texas',
Zipcode: 76102,
Phone: '(817) 820-0741',
Fax: '(817) 820-0742',
Website: 'http =//www.nowebsiteshack.com',
}, {
ID: 20,
CompanyName: 'Circuit Town',
Address: '2200 Kensington Court',
City: 'Oak Brook',
State: 'Illinois',
Zipcode: 60523,
Phone: '(800) 955-2929',
Fax: '(800) 955-9392',
Website: 'http =//www.nowebsitecircuittown.com',
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.2.41/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.18/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);